aboutsummaryrefslogtreecommitdiff
path: root/yearistype.sh
diff options
context:
space:
mode:
authorEdwin Groothuis <edwin@FreeBSD.org>2008-08-07 23:59:20 +0000
committerEdwin Groothuis <edwin@FreeBSD.org>2008-08-07 23:59:20 +0000
commitaf252fa7e62ab66ef0c5b951e21663961a741130 (patch)
tree4266dd27c003200e903f407d4e87215b2ff6eec1 /yearistype.sh
parentdbe4cee6139181fb0779292359140fbd54afb257 (diff)
Flatting the vendor dist tree of tzdata.
Approved by: bde (mentor, implicit), des
Notes
Notes: svn path=/vendor/tzdata/dist/; revision=181400
Diffstat (limited to 'yearistype.sh')
-rwxr-xr-xyearistype.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/yearistype.sh b/yearistype.sh
new file mode 100755
index 000000000000..66dbf89a2bdc
--- /dev/null
+++ b/yearistype.sh
@@ -0,0 +1,40 @@
+#! /bin/sh
+
+: 'This file is in the public domain, so clarified as of'
+: '2006-07-17 by Arthur David Olson.'
+
+: '@(#)yearistype.sh 8.2'
+
+case $#-$1 in
+ 2-|2-0*|2-*[!0-9]*)
+ echo "$0: wild year - $1" >&2
+ exit 1 ;;
+esac
+
+case $#-$2 in
+ 2-even)
+ case $1 in
+ *[24680]) exit 0 ;;
+ *) exit 1 ;;
+ esac ;;
+ 2-nonpres|2-nonuspres)
+ case $1 in
+ *[02468][048]|*[13579][26]) exit 1 ;;
+ *) exit 0 ;;
+ esac ;;
+ 2-odd)
+ case $1 in
+ *[13579]) exit 0 ;;
+ *) exit 1 ;;
+ esac ;;
+ 2-uspres)
+ case $1 in
+ *[02468][048]|*[13579][26]) exit 0 ;;
+ *) exit 1 ;;
+ esac ;;
+ 2-*)
+ echo "$0: wild type - $2" >&2 ;;
+esac
+
+echo "$0: usage is $0 year even|odd|uspres|nonpres|nonuspres" >&2
+exit 1